%global namedreltag .Beta1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-remoting
Version:          4.0.0
Release:          %mkrel 0.2%{namedreltag}.2
Summary:          JBoss Remoting
Group:            Development/Java
License:          LGPLv2+
URL:              http://www.jboss.org/jbossremoting

# git clone git://github.com/jboss-remoting/jboss-remoting.git
# cd jboss-remoting && git checkout 4.0.0.Beta1 && git checkout-index -f -a --prefix=jboss-remoting-4.0.0.Beta1/
# rm jboss-remoting-4.0.0.Beta1/src/test/resources/test-content.bin
# tar -cJf jboss-remoting-4.0.0.Beta1-CLEAN.tar.xz jboss-remoting-4.0.0.Beta1
Source0:          jboss-remoting-%{namedversion}-CLEAN.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    jboss-parent
BuildRequires:    xnio >= 3.1.0
BuildRequires:    jboss-logmanager
BuildRequires:    jboss-logging-tools >= 1.1.0
BuildRequires:    jboss-logging
BuildRequires:    junit4
BuildRequires:    apiviz

Requires:         jboss-logmanager
Requires:         jboss-logging-tools >= 1.1.0
Requires:         xnio >= 3.1.0

%description
The purpose of JBoss Remoting is to provide a general purpose framework
for symmetric and asymmetric communication over a network. It supports
various modes of interaction, including invocations, one way messaging,
and asynchronous callbacks.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-remoting-%{namedversion}

%build
# Skipped test because of removing binary content from test dir which is required to run them
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc COPYING.txt

%files javadoc -f .mfiles-javadoc
%doc COPYING.txt




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.0.0-0.2.Beta1.2.mga4
+ Revision: 541904
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 4.0.0-0.2.Beta1.1.mga4
+ Revision: 496535
- New version

* Sat Jan 12 2013 umeabot <umeabot> 3.2.4-2.mga3
+ Revision: 355146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 3.2.4-1.mga3
+ Revision: 263189
- New version 3.2.4

* Sun Feb 19 2012 gil <gil> 3.2.2-0.1.GA.mga3
+ Revision: 210917
- update to 3.2.2.GA

* Sun Jan 08 2012 gil <gil> 3.2.0-0.1.CR6.mga2
+ Revision: 193218
- update to 3.2.0.CR6
- imported package jboss-remoting


* Mon Oct 24 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta3
- Upstream release 3.2.0.Beta3
- Fixed javadocs dir issue

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> 3.2.0-0.1.Beta2
- Initial packaging

